Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceOther

Update a webhook endpoint

PUT
/v1/webhooks/endpoints/{id}

Change the URL, description or subscribed events, or enable and disable it (re-enabling an automatically disabled endpoint clears its failure count).

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^whe_[a-z0-9]{8,32}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/webhooks/endpoints/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "object": "webhook_endpoint",  "id": "string",  "url": "http://example.com",  "description": "string",  "event_types": [    "call.completed"  ],  "enabled": true,  "status": "active",  "disabled_reason": "string",  "secrets": [    {      "id": "string",      "prefix": "string",      "created_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z"    }  ],  "health": {    "deliveries": 0,    "failures": 0,    "consecutive_failures": 0,    "last_success_at": "2019-08-24T14:15:22Z",    "last_failure_at": "2019-08-24T14:15:22Z",    "failing_since": "2019-08-24T14:15:22Z",    "last_error": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}